## Mobilizon

[[_TOC_]]

### Introduction

Au moment où cette configuration Docker a été réalisée (avant la `1.0.0`), il n'existait pas de Dockerfile officiel. Ce dossier est inspiré de la configuration proposée par l'utilisateur [Windyo de Framagit](https://framagit.org/Windyo/mobilizon/-/blob/a1e0b9730e9c63de6058c3f5d803b2743efafed4/docker), avec quelques adaptations pour Picasoft.

Peu de temps après la sortie de la version `1.0.0`, un `Dockerfile` et un `docker-compose.yml` officiels ont été ajoutés au [dépôt git de Mobilizon](https://framagit.org/framasoft/mobilizon/-/tree/master/docker/production), et l'image docker principale sur le [hub de docker.com](https://hub.docker.com/r/framasoft/mobilizon/tags). Les instructions d'utilisation sont disponible dans la [doc de Mobilizon](https://docs.joinmobilizon.org/administration/docker/).  Il peut être utile dans le futur pour des raisons de maintenance de passer sur cette configuration.

### Procédure de mise-à-jour

Pour changer la version de Mobilizon, il suffit de modifier la valeur de la variable `MOBILIZON_GIT_TAG` du [`docker-compose.yml`](./docker-compose.yml) par la version souhaitée. Les valeurs suivantes sont possibles :
- [Nom d'une release](https://framagit.org/framasoft/mobilizon/-/releases)
- Nom d'une branche
- Identifiant d'un commit

Pour changer la version de Postgres, Postgis ou d'Elixir, se reporter aux `Dockerfile` correspondants. Une attention particulière doit être portée sur la compatibilité des 2 premiers avec les données persistées.

Une fois les valeurs changées, il ne faut pas oublier de reconstruire les images si nécessaire. Ce processus prend environ 20 minutes.

### Commandes en console utiles

**Attention : toute commande `Elixir` doit être précédée de `MIX_ENV=prod` pour pouvoir s'exécuter proprement !**

#### Ajout d'un utilisateur avec les droits admin ou modérateur

Actuellement, il n'est pas possible de créer un compte administrateur ou modérateur depuis l'interface web, il est nécessaire de d'exécuter la commande suivante dans le conteneur `mobilizon-app` :
```
MIX_ENV=prod mix mobilizon.users.new email@host.pica --admin --password notS0Secre1Passwd
```
ou (exclusif)
```
MIX_ENV=prod mix mobilizon.users.new email@host.pica --moderator --password notS0Secre1Passwd
```

#### Modification d'un utilisateur

Pour modifier le rôle d'un utilisateur déjà existant, se reporter à la [commande `mobilizon.users.modify`](https://framagit.org/framasoft/mobilizon/-/blob/master/lib/mix/tasks/mobilizon/users/modify.ex).